import { type ComposeConfig } from '../config';
import { type NameBinding } from '../types';
import ComposeResult from './ComposeResult';
import { type ComposePart } from './types';
declare class NamedPart implements ComposePart {
    private readonly from;
    private readonly maxWords;
    private readonly noWrapSingle;
    private readonly names;
    constructor(names: NameBinding[], from: string | undefined, maxWords: number, noWrapSingle: boolean);
    compose(level: number, config: ComposeConfig): ComposeResult;
    composeWrap(level: number, config: ComposeConfig): ComposeResult;
}
declare const _default: (names: NameBinding[], from: string | undefined, maxWords: number, noWrapSingle: boolean) => NamedPart;
export default _default;
