import ComposeResult from './ComposeResult';
import { type ComposePart } from './types';
declare class StringPart implements ComposePart {
    private readonly text;
    private readonly noWrap;
    constructor(text: string, noWrap?: boolean);
    compose(level: number): ComposeResult;
    composeWrap(level: number): ComposeResult;
    composeWrapFirst(level: number): ComposeResult;
}
declare const _default: (text: string, noWrap?: boolean | undefined) => StringPart;
export default _default;
