"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.translateNewlineAfterImportRule = void 0;
const config_1 = require("../../../../../config");
const helper_1 = require("../../helper");
const DEFAULT_OPTIONS = { count: 1 };
function translateNewlineAfterImportRule(config, rules) {
    const options = (0, helper_1.extractOptions)(config, rules, DEFAULT_OPTIONS, 'import/newline-after-import');
    return options === undefined ? { config } : process(config, options);
}
exports.translateNewlineAfterImportRule = translateNewlineAfterImportRule;
function process(config, { count }) {
    const c = (0, config_1.mergeConfig)(config, { emptyLinesAfterAllImports: count });
    return { config: c };
}
//# sourceMappingURL=newline-after-import.js.map