"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.translateObjectCurlySpacingRule = void 0;
const config_1 = require("../../../../config");
const helper_1 = require("../helper");
const DEFAULT_OPTIONS = 'never';
function translateObjectCurlySpacingRule(config, rules) {
    const options = (0, helper_1.extractOptions)(config, rules, DEFAULT_OPTIONS, 'object-curly-spacing', '@typescript-eslint/object-curly-spacing');
    return options === undefined ? { config } : process(config, options);
}
exports.translateObjectCurlySpacingRule = translateObjectCurlySpacingRule;
function process(config, options) {
    const c = (0, config_1.mergeConfig)(config, { bracketSpacing: options === 'always' });
    return { config: c };
}
//# sourceMappingURL=object-curly-spacing.js.map