"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.translateSemiRule = void 0;
const config_1 = require("../../../../config");
const helper_1 = require("../helper");
const DEFAULT_OPTIONS = 'always';
function translateSemiRule(config, rules) {
    const options = (0, helper_1.extractOptions)(config, rules, DEFAULT_OPTIONS, 'semi', '@typescript-eslint/semi');
    return options === undefined ? { config } : process(config, options);
}
exports.translateSemiRule = translateSemiRule;
function process(config, option) {
    const c = (0, config_1.mergeConfig)(config, { hasSemicolon: option === 'always' });
    return { config: c };
}
//# sourceMappingURL=semi.js.map