import { type SourceFile } from 'typescript';
import { type Edit } from './types';
/**
 * Apply `edits`(insert/replace/delete) to `sourceText` from `sourceFile`.
 *
 * @returns New source text, or `undefined` if nothing changes.
 */
export declare function apply(sourceText: string, sourceFile: SourceFile, edits: Edit[]): string | undefined;
