import { type ExportNode } from '../parser';
/**
 * Decide which export to keep if there are multiple empty exports and no imports.
 *
 * Scenarios:
 * 1. If there are both `export {} from 'a'` and `export {}`, keep only `export {}`.
 * 2. If there are `export {} from 'a'` and `export {} from 'b'`, keep the first of them.
 */
export declare function decideKeep(emptyNodes: ExportNode[]): ExportNode[];
