import { type Comparator } from 'segment-sort';
import { type ExportNode, type ImportNode } from '../parser';
import { type Sorter } from './compare';
export declare function mergeImportNodes(nodes: ImportNode[]): ImportNode[];
export declare function sortImportNodes(nodes: ImportNode[], byPaths: boolean, { comparePaths, compareNames }: Sorter, aliasFirst: boolean): ImportNode[];
export declare function sortAndMergeExportNodes(nodes: ExportNode[], compareNames?: Comparator): ExportNode[];
