"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.COMPARE_RULE_DEFAULT = exports.GROUP_RULES_DEFAULT = exports.breakFlag = void 0;
const grouping_1 = require("./grouping");
Object.defineProperty(exports, "breakFlag", { enumerable: true, get: function () { return grouping_1.breakFlag; } });
/**
 * Default grouping rules.
 */
exports.GROUP_RULES_DEFAULT = [
    '^react(-dom)?$',
    '^@angular/',
    '^vue$',
    '^node:',
    {},
    '^[@]',
    '^[.]',
];
/**
 * Default comparison rule for paths and names, which is:
 * - Comparing letters case-insensitively, and
 * - `'_'` is in front of `[a-zA-Z]`.
 */
exports.COMPARE_RULE_DEFAULT = ['_', 'aA'];
//# sourceMappingURL=index.js.map