import { Map } from 'immutable';
import { type ComposeConfig } from '../config';
import ComposeResult from './ComposeResult';
import { type ComposePart } from './types';
declare class AssertPart implements ComposePart {
    private readonly asserts;
    private readonly noWrap;
    constructor(asserts: Map<string, string>, noWrap?: boolean);
    compose(level: number, { bracket, quote, sComma }: ComposeConfig): ComposeResult;
    composeWrap(level: number, config: ComposeConfig): ComposeResult;
}
export default function (asserts: Map<string, string> | undefined, noWrap?: boolean): AssertPart | undefined;
export {};
