import { type ComposeConfig } from '../config';
import type ComposeLine from './ComposeLine';
export default class ComposeResult {
    private readonly lines;
    readonly wrapped: boolean;
    private readonly trailing;
    constructor(lines?: ComposeLine[], wrapped?: boolean, trailing?: number);
    get level(): number;
    get empty(): boolean;
    text(config: ComposeConfig): string;
    merge(other: ComposeResult, { tabw, maxLength }: ComposeConfig, last: boolean): {
        result: ComposeResult;
        needWrap?: boolean;
    };
    private mergeLines;
}
