"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const no_new_1 = __importDefault(require("@dozerg/no-new"));
const ComposeLine_1 = __importDefault(require("./ComposeLine"));
const ComposeResult_1 = __importDefault(require("./ComposeResult"));
class SemiPart {
    constructor(trailing = 0) {
        this.trailing = trailing;
    }
    compose(level, { semi }) {
        const line = new ComposeLine_1.default(level, semi, '');
        return new ComposeResult_1.default([line], true, this.trailing);
    }
}
exports.default = (0, no_new_1.default)(SemiPart);
//# sourceMappingURL=SemiPart.js.map