import { type ComposeConfig } from '../config';
import { type NodeComment } from '../types';
import AssertPart from './AssertPart';
import NamedPart from './NamedPart';
import SemiPart from './SemiPart';
import StringPart from './StringPart';
import { type ComposePart } from './types';
export { AssertPart, NamedPart, SemiPart, StringPart };
export declare function composeParts(parts: (ComposePart | undefined)[], config: ComposeConfig): string;
export declare function composeComments(comments: NodeComment[] | undefined, { nl }: ComposeConfig): string | undefined;
