import { type PromiseType } from 'utility-types';
import { type Configuration } from '../../../config';
export type ESLintConfigProcessed = NonNullable<PromiseType<ReturnType<typeof enhanceWithEslint>>['processed']>;
export declare function enhanceWithEslint(config: Configuration, fileName: string, configPath?: string): Promise<{
    config: Configuration;
    processed?: Partial<{
        tabWidth: number;
    } & {
        groupOrder: import("../../../config").FlagSymbol[] | undefined;
        ignoreSorting: boolean;
        aliasFirst: boolean;
    }> | undefined;
}>;
