"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.translateCommaDangleRule = void 0;
const config_1 = require("../../../../config");
const helper_1 = require("../helper");
const DEFAULT_OPTIONS = 'never';
function translateCommaDangleRule(config, rules) {
    const options = (0, helper_1.extractOptions)(config, rules, DEFAULT_OPTIONS, 'comma-dangle', '@typescript-eslint/comma-dangle');
    return options === undefined ? { config } : process(config, options);
}
exports.translateCommaDangleRule = translateCommaDangleRule;
function process(config, options) {
    const o = typeof options === 'string' ? options : options.imports;
    const c = (0, config_1.mergeConfig)(config, {
        trailingComma: o === 'never' ? 'none' : o === 'always' ? 'always' : 'multiLine',
    });
    return { config: c };
}
//# sourceMappingURL=comma-dangle.js.map