"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.translateEolLastRule = void 0;
const config_1 = require("../../../../config");
const helper_1 = require("../helper");
const DEFAULT_OPTIONS = 'always';
function translateEolLastRule(config, rules) {
    const options = (0, helper_1.extractOptions)(config, rules, DEFAULT_OPTIONS, 'eol-last');
    return options === undefined ? { config } : process(config, options);
}
exports.translateEolLastRule = translateEolLastRule;
function process(config, option) {
    const c = (0, config_1.mergeConfig)(config, { insertFinalNewline: option !== 'never' });
    return { config: c };
}
//# sourceMappingURL=eol-last.js.map