import { type ExportDeclaration } from 'typescript';
import { type ComposeConfig } from '../config';
import type { NameBinding } from '../types';
import Statement, { type StatementArgs } from './Statement';
export default class ExportNode extends Statement {
    private readonly moduleIdentifier_?;
    private readonly isTypeOnly_;
    names: NameBinding[];
    static fromDecl(node: ExportDeclaration, args: StatementArgs): ExportNode | undefined;
    private constructor();
    hasModuleIdentifier(): boolean;
    empty(): boolean;
    merge(node: ExportNode): boolean;
    compose(config: ComposeConfig): string;
    private composeExport;
}
