import { type KeepUnusedRule } from '../../config';
export default class KeepUnused {
    private readonly entries_;
    constructor(rules: KeepUnusedRule[]);
    /**
     * Returns a function to determine if a name is kept for the path.
     * Or undefined if no names will be kept.
     */
    forPath(path: string): ((name: string) => boolean) | undefined;
}
