"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNameBinding = void 0;
function getNameBinding(specifier) {
    const { propertyName, isTypeOnly } = specifier;
    const { text: name } = specifier.name;
    const prop = propertyName?.text;
    return prop && prop !== name
        ? { aliasName: name, propertyName: prop, isTypeOnly }
        : { propertyName: name, isTypeOnly };
}
exports.getNameBinding = getNameBinding;
//# sourceMappingURL=helper.js.map