import { type Node } from 'typescript';
import type { LineRange, NodeComment, Pos } from '../types';
import type ParseParams from './ParseParams';
export declare function parseLineRanges(node: Node, p: ParseParams): {
    fileComments: NodeComment[] | undefined;
    fullStart: Pos;
    leadingNewLines: number;
    leadingComments: NodeComment[] | undefined;
    declLineRange: LineRange;
    trailingComments: NodeComment[] | undefined;
    trailingCommentsText: string;
    declAndCommentsLineRange: LineRange;
    trailingNewLines: number;
    fullEnd: Pos;
    eof: boolean;
};
export declare function isDisabled(comments: NodeComment[] | undefined): boolean;
