import { type CompilerOptions, type SourceFile } from 'typescript';
import type ImportNode from './ImportNode';
export interface NameUsage {
    usedNames?: Set<string>;
    unusedNames?: Set<string>;
    unusedNodes?: ImportNode[];
}
export declare function getUnusedIds(usedNames: Set<string>, importNodes: ImportNode[], fileName: string, sourceFile: SourceFile, tsCompilerOptions?: CompilerOptions): NameUsage;
