import { type Configuration } from '../../config';
import { type ESLintConfigProcessed } from '../config';
import { type ImportNode, type NameUsage } from '../parser';
import { type Sorter, sorterFromRules } from './compare';
import SortGroup from './SortGroup';
export { Sorter, sorterFromRules, SortGroup };
export declare function sortImports(nodes: ImportNode[], usage: NameUsage, config: Configuration, sorter: Sorter, eslint?: ESLintConfigProcessed): SortGroup;
export { sortAndMergeExportNodes as sortExports } from './merge';
